Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class FigureGenerator

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.FigureGenerator

All Implemented Interfaces:
  org.eclipse.gmf.internal.common.codegen.TextEmitter

    public class FigureGenerator

extends java.lang.Object
implements org.eclipse.gmf.internal.common.codegen.TextEmitter

Constructor Summary
`FigureGenerator(java.lang.String runtimeToken, java.lang.String packageStmt, boolean asInnerClass)` XXX consider using enum for runtimeToken
`FigureGenerator(java.lang.String runtimeToken, java.lang.String packageStmt, MapModeCodeGenStrategy mapModeStrategy, java.lang.String mapModeAccessor, boolean asInnerClass)`
`FigureGenerator(java.lang.String runtimeToken, java.lang.String packageStmt, MapModeCodeGenStrategy mapModeStrategy, java.lang.String mapModeAccessor, boolean asInnerClass, java.net.URL[] dynamicTemplates)`

Method Summary
`java.lang.String` `fqnSwitch(Figure figure)`
`java.lang.String` `generate(IProgressMonitor monitor, java.lang.Object[] arguments)`
`java.lang.String` `getPackageName()`
`java.lang.String` `go(FigureDescriptor figure)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FigureGenerator

    public FigureGenerator(java.lang.String runtimeToken,
                           java.lang.String packageStmt,
                           boolean asInnerClass)

  XXX consider using enum for runtimeToken

  Parameters:
    `runtimeToken` - either "full" or null to indicate full GMF runtime use, any other value is to be processed by custom templates
    `asInnerClass` -

### FigureGenerator

    public FigureGenerator(java.lang.String runtimeToken,
                           java.lang.String packageStmt,
                           MapModeCodeGenStrategy mapModeStrategy,
                           java.lang.String mapModeAccessor,
                           boolean asInnerClass)

### FigureGenerator

    public FigureGenerator(java.lang.String runtimeToken,
                           java.lang.String packageStmt,
                           MapModeCodeGenStrategy mapModeStrategy,
                           java.lang.String mapModeAccessor,
                           boolean asInnerClass,
                           java.net.URL[] dynamicTemplates)

Method Detail

### getPackageName

    public java.lang.String getPackageName()

### fqnSwitch

    public java.lang.String fqnSwitch(Figure figure)

### go

    public java.lang.String go(FigureDescriptor figure)

  Parameters:
    `packageStmt` - can be null if asInnerClass was true
    `figure` -

### generate

    public java.lang.String generate(IProgressMonitor monitor,
                                     java.lang.Object[] arguments)
                              throws java.lang.InterruptedException,
                                     java.lang.reflect.InvocationTargetException,
                                     UnexpectedBehaviourException

  Specified by:
    `generate` in interface `org.eclipse.gmf.internal.common.codegen.TextEmitter`
  Throws:
    `java.lang.InterruptedException`
    `java.lang.reflect.InvocationTargetException`
    `UnexpectedBehaviourException`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.